=== debian/changelog ===
ring (20230206.0~ds2-1.1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2023-27585: Embedded copy of PJSIP library has a buffer overflow in
    the DNS implementation. 

 -- Aron Xu <aron@debian.org>  Wed, 02 Jul 2025 15:29:21 +0800

ring (20230206.0~ds2-1.1) unstable; urgency=medium

  * Upload to unstable.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Wed, 01 Mar 2023 00:05:32 -0500

ring (20230206.0~ds2-1) experimental; urgency=medium

  * Always build without Qt WebEngine to ship with a uniform set of
    features across supported architectures.  The features currently
    requiring Qt WebEngine (link previews, emoji picker, preview of
    shared media for some formats, and location sharing) are *not*
    core features without which Jami's use would be substantially
    hindered, and most (if not all) of them could be implemented
    natively and without using Qt WebEngine.
    - debian/control: Drop Qt WebEngine from dependencies.
    - debian/copyright: Excluded web-related files.
    - debian/rules: Always build without Qt WebEngine.
    - debian/source/lintian-overrides: Remove unneeded overrides.
  * Use the right Debian Source (ds) number in orig tarball name.
    - debian/rules: Get ds from the latest changelog entry and use it
      instead of hardcoding '~ds1'.
  * Add patch to change two CMake variables into proper options.
    - debian/patches/1010-cmake-options.patch: Change
      WITH_DAEMON_SUBMODULE and WITH_WEBENGINE into proper options.
      Also, pass src/libclient/webresource.qrc to qt_add_executable
      only if WITH_WEBENGINE.
  * Use dh_auto_* tools for the client.  The stopgap sed workaround
    for building without Qt WebEngine is no longer necessary.  The
    issue was calling out to dh_auto_configure but without the right
    flags, which would then overwrite/interfere with the flags
    specified in the earlier manual call to cmake.
  * debian/jami.lintian-overrides: Drop vestigial file.  This was
    previously added likely because the jami package used to ship a
    libringclient.a static library for use by the client, but after an
    upstream refactoring merging the Jami libclient sources into
    jami-client-qt.git, that is no longer needed.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Sun, 26 Feb 2023 01:08:53 -0500

ring (20230206.0~ds1-6) experimental; urgency=medium

  * debian/control: Add libqt6sql6-sqlite to jami's Depends, needed
    for importing existing Jami accounts with non-swarm conversations,
    as well as SIP accounts (Closes: #1031692).
    Also, taking over the maintenance of the package; many thanks,
    Alexandre!
  * Address several lintian errors and warnings:
    - debian/copyright: Drop vestigial entries for nonexistent files.
    - debian/rules: Remove usr/lib/pkgconfig/jami.pc, since we
      currently don't ship the Jami daemon as a library.
    - debian/source/lintian-overrides: Update.

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Tue, 21 Feb 2023 01:08:33 -0500
