=== debian/watch ===
version=4
opts=dversionmangle=auto \
https://dl.jami.net/release/tarballs/ jami-(\d\S+)\.tar\.gz
